gsettings-qt (0.1+17.10.20170824-7) unstable; urgency=medium

  * Bump Standards-Version to 4.2.1 (no changes needed).
  * Rebuild against new Qt 5.11.1.
  * Update my uploader email address and use the @debian.org one.

 -- Boyuan Yang <byang@debian.org>  Fri, 14 Sep 2018 19:14:44 -0400

gsettings-qt (0.1+17.10.20170824-6) unstable; urgency=medium

  * d/patches: Add patch to fix a bug cause test failed when build with Qt
    5.11. (Closes: #905059)
  * Bump Standards-Version to 4.2.0 (no changes needed).

 -- Yanhao Mo <yanhaocs@gmail.com>  Wed, 08 Aug 2018 15:36:06 +0800

gsettings-qt (0.1+17.10.20170824-5) unstable; urgency=medium

  * Rebuild with gcc-8. Closes: #897763.
  * Update symbols file.
  * Bump Standards-Version to 4.1.5 (no changes needed).
  * d/control: Add new uploader Yanhao Mo <yanhaocs@gmail.com>.

 -- Yanhao Mo <yanhaocs@gmail.com>  Sat, 21 Jul 2018 10:21:09 +0800

gsettings-qt (0.1+17.10.20170824-4) unstable; urgency=medium

  * Add patch to increase timeout in tests to circumvent FTBFS on riscv64.
    Closes: #898497.
  * Revert maintainer address to pkg-deepin-devel@alioth.debian.org.

 -- Boyuan Yang <073plan@gmail.com>  Sun, 13 May 2018 22:27:50 +0800

gsettings-qt (0.1+17.10.20170824-3) unstable; urgency=medium

  * Use team+pkg-deepin@tracker.debian.org in maintainer field.
  * Bump Standards-Version to 4.1.4 (no changes needed).
  * Use Salsa platform for Vcs fields.
  * Bump debhelper compat to v11.

 -- Boyuan Yang <073plan@gmail.com>  Thu, 19 Apr 2018 20:58:13 +0800

gsettings-qt (0.1+17.10.20170824-2) unstable; urgency=medium

  * No change rebuild against qtbase-abi-5-9-2.

 -- Boyuan Yang <073plan@gmail.com>  Sat, 28 Oct 2017 20:55:18 +0800

gsettings-qt (0.1+17.10.20170824-1) unstable; urgency=medium

  * New upstream release from bzr repository.
    - No real source changes, mostly a rebuild.
  * Bump Standards-Version to 4.1.1.
  * Mark libgsettings-qt-dev as M-A: same.

 -- Boyuan Yang <073plan@gmail.com>  Sun, 01 Oct 2017 11:13:03 +0800

gsettings-qt (0.1+16.04.20170729-2) unstable; urgency=medium

  * Fix dependency problem of libgsettings-qt-dev.
  * Bump Standards-Version to 4.1.0. (no changes needed)

 -- Boyuan Yang <073plan@gmail.com>  Tue, 22 Aug 2017 13:52:03 +0800

gsettings-qt (0.1+16.04.20170729-1) unstable; urgency=medium

  * New upstream snapshot from bzr src repository.
  * Initial Release in Debian. (Closes: #870031)
  * Fix FTBFS problem due to incorrect link path. (LP: #1706682)

 -- Boyuan Yang <073plan@gmail.com>  Fri, 04 Aug 2017 11:25:48 +0800

gsettings-qt (0.1+16.04.20160329-0ubuntu3~1) zesty; urgency=medium

  * No change rebuild

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 04 Jan 2017 08:53:28 +0200

gsettings-qt (0.1+16.04.20160329-0ubuntu2~4) yakkety; urgency=medium

  * Build against Qt 5.6.
  * Adjust test running to changes in Qt 5.6.
  * debian/control: don't use transitional package names
  * Update symbols.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 01 Apr 2016 10:12:26 +0000

gsettings-qt (0.1+16.04.20160329-0ubuntu1) xenial; urgency=medium

  [ Albert Astals Cid ]
  * Use QChar toUpper/toLower instead of C version (LP: #1556461)

 -- Michał Sawicz <michal.sawicz@canonical.com>  Tue, 29 Mar 2016 12:56:42 +0000

gsettings-qt (0.1+16.04.20160111-0ubuntu1) xenial; urgency=medium

  [ Albert Astals Cid ]
  * Disconnect signal handler on destruction

 -- Michał Sawicz <michal.sawicz@canonical.com>  Mon, 11 Jan 2016 11:26:52 +0000

gsettings-qt (0.1+16.04.20151130-0ubuntu1) xenial; urgency=medium

  * No-change rebuild.

 -- CI Train Bot <ci-train-bot@canonical.com>  Mon, 30 Nov 2015 14:50:27 +0000

gsettings-qt (0.1+16.04.20151104-0ubuntu1) xenial; urgency=medium

  [ Lars Uebernickel ]
  * qgsettings-qml: explicitly emit changed events (LP: #1503693)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 04 Nov 2015 17:59:13 +0000

gsettings-qt (0.1+15.04.20150810-0ubuntu1) vivid; urgency=medium

  [ Lukáš Tinkl ]
  * Force handling deferred delete events to avoid memory leaks (LP:
    #1460970)
  * Force handling deferred delete events to avoid memory leaks (LP:
    #1460970)

 -- CI Train Bot <ci-train-bot@canonical.com>  Mon, 10 Aug 2015 15:49:54 +0000

gsettings-qt (0.1+14.10.20140807-0ubuntu6~gcc5.1) wily; urgency=medium

  * No-change test rebuild for g++5 ABI transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 15 Jul 2015 07:53:08 +0000

gsettings-qt (0.1+14.10.20140807-0ubuntu5) wily; urgency=medium

  * No-change rebuild against Qt 5.4.2.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 12 Jun 2015 09:21:19 +0300

gsettings-qt (0.1+14.10.20140807-0ubuntu4) vivid; urgency=medium

  * No-change rebuild against Qt 5.4.1.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 11 Mar 2015 08:25:19 +0200

gsettings-qt (0.1+14.10.20140807-0ubuntu3) vivid; urgency=medium

  * No-change rebuild against Qt 5.4.0.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 13 Feb 2015 13:57:38 +0200

gsettings-qt (0.1+14.10.20140807-0ubuntu2) vivid; urgency=medium

  * No-change rebuild against Qt 5.3.2.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 28 Oct 2014 13:40:39 +0200

gsettings-qt (0.1+14.10.20140807-0ubuntu1) utopic; urgency=low

  [ Ken VanDine ]
  * qtdeclarative5-gsettings1.0 needs to depend on the same version of
    libgsettings-qt1

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 07 Aug 2014 15:26:43 +0000

gsettings-qt (0.1+14.10.20140801.1-0ubuntu1) utopic; urgency=low

  [ Ubuntu daily release ]
  * debian/libgsettings-qt1.symbols: auto-update to released version
  * New rebuild forced

  [ Ken VanDine ]
  * added tests for a{ss}

  [ Lars Uebernickel ]
  * qconftypes: support a{ss} We don't support a{sv} because gsettings
    is typed more strictly than javascript and qvariant. (LP: #1349787)

  [ Łukasz 'sil2100' Zemczak ]
  * Work-around a symbols problem in ppc64el

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 01 Aug 2014 17:06:59 +0000

gsettings-qt (0.1+14.10.20140624-0ubuntu1) utopic; urgency=low

  [ Lars Uebernickel ]
  * Stop using deprecated g_settings_get_range()
  * qml: only emit changed when the value has actually changed This
    cannot be done for the c++ class, because that would involve a
    round-trip to the dconf database. The QML component already caches
    all values because of the way QQmlPropertyMap works. (LP: #1330365)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 24 Jun 2014 10:01:54 +0000

gsettings-qt (0.1+14.10.20140607-0ubuntu1) utopic; urgency=low

  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Sat, 07 Jun 2014 10:54:33 +0000

gsettings-qt (0.1+14.10.20140606-0ubuntu1) utopic; urgency=low

  [ Lars Uebernickel ]
  * Sync settings in destructor To ensure that settings are saved to
    disc when an app exits.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 06 Jun 2014 14:31:00 +0000

gsettings-qt (0.1+14.10.20140520-0ubuntu1) utopic; urgency=low

  [ Iain Lane ]
  * Add a symbols file so that the qtdeclarative module (and other
    rdeps) get correctly versioned dependencies (LP: #1304611)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 20 May 2014 18:39:37 +0000

gsettings-qt (0.1+14.10.20140501-0ubuntu1) utopic; urgency=low

  [ Michal Hruby ]
  * Fix incorrect unref call.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 01 May 2014 10:29:56 +0000

gsettings-qt (0.1+14.04.20140408-0ubuntu1) trusty; urgency=medium

  [ Michal Hruby ]
  * Added API to check if a schema is installed

  [ CI bot ]
  * Added API to check if a schema is installed. (LP: #1209235)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 08 Apr 2014 13:44:50 +0000

gsettings-qt (0.0+13.10.20130902.1-0ubuntu2) trusty; urgency=medium

  * Rebuild against Qt 5.2.1

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 03 Mar 2014 07:46:18 +0200

gsettings-qt (0.0+13.10.20130902.1-0ubuntu1) saucy; urgency=low

  [ Lars Uebernickel ]
  * Don't write values into the QQmlPropertyMap when the write failed
    This makes sure that the property map doesn't get out of sync with
    the gsettings database.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 41

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 02 Sep 2013 06:12:44 +0000

gsettings-qt (0.0+13.10.20130829-0ubuntu1) saucy; urgency=low

  [ Lars Uebernickel ]
  * Add API to reset a key to its default value. (LP: #1218005)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 39

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 29 Aug 2013 12:29:45 +0000

gsettings-qt (0.0+13.10.20130807-0ubuntu1) saucy; urgency=low

  [ Ken VanDine ]
  * Install QML module in a versioned dir so it is really parallel
    installable .

  [ Lars Uebernickel ]
  * Fix crash in unqtify_name For one, stop using g_string_new_len(),
    which creates a string with a given length, not allocation. Also,
    make sure the QByteArray stays around for the duration of the loop.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 37

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 07 Aug 2013 07:02:05 +0000

gsettings-qt (0.0+13.10.20130802-0ubuntu1) saucy; urgency=low

  [ Sebastien Bacher ]
  * let the dev binary depends on the library.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 34

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 02 Aug 2013 20:16:44 +0000

gsettings-qt (0.0+13.10.20130730.1-0ubuntu1) saucy; urgency=low

  [ Sebastien Bacher ]
  * build a .qmltypes, so qtcreator knows about GSettings.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 32

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 30 Jul 2013 18:08:14 +0000

gsettings-qt (0.0+13.10.20130730-0ubuntu1) saucy; urgency=low

  [ Lars Uebernickel ]
  * Fix regression: GSettingsQml didn't update values on change. (LP:
    #1206181)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 30

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 30 Jul 2013 07:01:52 +0000

gsettings-qt (0.0+13.10.20130725-0ubuntu1) saucy; urgency=low

  [ Sebastien Bacher ]
  * Add a library that can be used from qt/c++ and make gsettings-qml
    use that.

  [ Lars Uebernickel ]
  * Add a library that can be used from qt/c++ and make gsettings-qml
    use that.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 28

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 25 Jul 2013 07:01:48 +0000

gsettings-qt (0.0+13.10.20130720-0ubuntu1) saucy; urgency=low

  [ Lars Uebernickel ]
  * Don't abort when calling schema.choices() for an unknown key. Also
    adds a test for accessing an unknown key from the settings object.
  * Clean up tests and add some more testing.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 26

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Sat, 20 Jul 2013 07:01:48 +0000

gsettings-qt (0.0+13.10.20130717-0ubuntu1) saucy; urgency=low

  [ Lars Uebernickel ]
  * Add GSettings.schema.choices A function that takes the name of a key
    and returns the possible values the key may assume. The values are
    returned in a QVariantList, so they can be used as qml models (with
    the modelData role). This breaks API: the settings schema must now
    be set with "schema.id" and the path with "schema.path".

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 23

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 17 Jul 2013 16:55:56 +0000

gsettings-qt (0.0+13.10.20130716-0ubuntu1) saucy; urgency=low

  [ Iain Lane ]
  * Add a testcase for the onChanged signal.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 21

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 16 Jul 2013 07:01:42 +0000

gsettings-qt (0.0+13.10.20130713-0ubuntu1) saucy; urgency=low

  [ Lars Uebernickel ]
  * Add 'changed' signal There's a 'valueChanged' on QQmlPropertyMap,
    but that is not emitted when values are inserted via insert().
    'changed' is always emitted, except when the values are first read.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 19

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Sat, 13 Jul 2013 07:01:43 +0000

gsettings-qt (0.0+13.10.20130701-0ubuntu1) saucy; urgency=low

  * Automatic snapshot from revision 17

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 01 Jul 2013 07:01:01 +0000

gsettings-qt (0.0+13.10.20130630-0ubuntu1) saucy; urgency=low

  * Automatic snapshot from revision 16

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Sun, 30 Jun 2013 07:00:59 +0000

gsettings-qt (0.0+13.10.20130629-0ubuntu1) saucy; urgency=low

  * Automatic snapshot from revision 15

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Sat, 29 Jun 2013 07:01:00 +0000

gsettings-qt (0.0+13.10.20130628.1-0ubuntu1) saucy; urgency=low

  * Automatic snapshot from revision 14

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 28 Jun 2013 19:40:37 +0000

gsettings-qt (0.0+13.10.20130628-0ubuntu1) saucy; urgency=low

  * Automatic snapshot from revision 13

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 28 Jun 2013 07:01:01 +0000

gsettings-qt (0.0+13.10.20130627-0ubuntu1) saucy; urgency=low

  * Automatic snapshot from revision 12

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 27 Jun 2013 07:01:01 +0000

gsettings-qt (0.0+13.10.20130626.1-0ubuntu1) saucy; urgency=low

  [ Ken VanDine ]
  * build depend on qtdeclarative5-test-plugin .

  [ Lars Uebernickel ]
  * gsettings-qt: gsettings bindings for qml
  * Merge initial packaging From lp:~ken-vandine/gsettings-qt/packaging
  * Add basic testing
  * Remove QtGui dependency qmake adds this by default. Note that this
    does not remove the dependency from `make check`, qtquicktests
    depends on it.
  * debian: run `make check` under xvfb-run
  * Merge trunk
  * debian: run xvfb with -a
  * Don't install tests Merged from lp:~ken-vandine/gsettings-
    qt/no_install_tests

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 11

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 26 Jun 2013 19:36:35 +0000

gsettings-qt (0.0-0ubuntu1) saucy; urgency=low

  * Initial package

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 21 Jun 2013 14:35:13 -0400
